xmonad-contrib-0.10: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | Justin Bogner <mail@justinbogner.com>

XMonad.Hooks.FadeInactive

Contents

- Usage

Description

Makes XMonad set the _NET_WM_WINDOW_OPACITY atom for inactive windows, which causes those windows to become slightly translucent if something like xcompmgr is running

Synopsis

- setOpacity :: Window -> Rational -> X ()
- isUnfocused :: Query Bool
- fadeIn :: Window -> X ()
- fadeOut :: Rational -> Window -> X ()
- fadeIf :: Query Bool -> Rational -> Query Rational
- fadeInactiveLogHook :: Rational -> X ()
- fadeOutLogHook :: Query Rational -> X ()

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad
     import XMonad.Hooks.FadeInactive

     myLogHook :: X ()
     myLogHook = fadeInactiveLogHook fadeAmount
         where fadeAmount = 0.8

     main = xmonad defaultConfig { logHook = myLogHook }

fadeAmount can be any rational between 0 and 1. you will need to have xcompmgr http://freedesktop.org/wiki/Software/xapps or something similar for this to do anything

For more detailed instructions on editing the logHook see:

XMonad.Doc.Extending

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

setOpacity :: Window -> Rational -> X ()

sets the opacity of a window

isUnfocused :: Query Bool

returns True if the window doesn't have the focus.

fadeIn :: Window -> X ()

makes a window completely opaque

fadeOut :: Rational -> Window -> X ()

fades a window out by setting the opacity

fadeIf :: Query Bool -> Rational -> Query Rational

Fades a window by the specified amount if it satisfies the first query, otherwise makes it opaque.

fadeInactiveLogHook :: Rational -> X ()

sets the opacity of inactive windows to the specified amount

fadeOutLogHook :: Query Rational -> X ()

fades out every window by the amount returned by the query.